Subject: bug#56860: 28.1; [emacs-29] Void function custom-set-icons

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 31 Jul 2022 15:50:40 +0000

[This is from emacs-29]

When I use customize-save-variable to save a variable, it is saved as expected in
my .emacs-custom.el file but this is added at end of file:

 (custom-set-icons
  ;; custom-set-icons was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 )

And when I restart emacs and the custom file is loaded, I get an error
saying custom-set-icons is void.
I must remove this manually in custom file to be able to start emacs.

<#secure method=pgpmime mode=sign>

-- 
Thierry